﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using SFML.Graphics;
using SFML.Window;


namespace SFML_First
{
    class Program
    {
        const int WIDTH = 640;
        const int HEIGHT = 480;
        const string TITLE = "First";

        static void Main(string[] args)
        {

            VideoMode mode = new VideoMode(WIDTH, HEIGHT);
            RenderWindow window = new RenderWindow(mode, TITLE);
            window.SetVerticalSyncEnabled(true);

            Texture texture = new Texture(@"E:\SFML\SFML_First\Gold.png");
            texture.Smooth = true;
            
            CircleShape cshape = new CircleShape(50);
            cshape.TextureRect = new IntRect(10, 10, 100, 100);

            cshape.Texture = texture;
          
            

            while (window.IsOpen)
            {
                window.DispatchEvents();
                window.Clear(Color.Black);
                window.Draw(cshape);
                window.Display();
            }
        }
    }
}
